Bug 55382 - Docbook conversion (save as) does not handle demoted list items
Summary: Docbook conversion (save as) does not handle demoted list items
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 59861
Blocks: Docbook
  Show dependency treegraph
 
Reported: 2012-09-27 11:03 UTC by mathieu.malaterre
Modified: 2019-12-03 14:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
odt to reproduce issue (9.15 KB, application/vnd.oasis.opendocument.text)
2012-09-27 11:03 UTC, mathieu.malaterre
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu.malaterre 2012-09-27 11:03:33 UTC
Created attachment 67763 [details]
odt to reproduce issue

When saving as Docbook (.xml) libreoffice remove listitem for second level. HTML export is working nicely:


<UL>
	<LI><P STYLE="margin-bottom: 0in">1</P>
	<UL>
		<LI><P STYLE="margin-bottom: 0in">4</P>
	</UL>
	<LI><P STYLE="margin-bottom: 0in">2</P>
	<UL>
		<LI><P STYLE="margin-bottom: 0in">5</P>
	</UL>
	<LI><P STYLE="margin-bottom: 0in">3</P>
	<UL>
		<LI><P STYLE="margin-bottom: 0in">6</P>
	</UL>
</UL>

While docbook is:


  <orderedlist>
    <listitem>
      <para>1</para>
    </listitem>
    <listitem>
      <para>2</para>
    </listitem>
    <listitem>
      <para>3</para>
    </listitem>
  </orderedlist>
Comment 1 Owen Genat (retired) 2013-12-14 12:06:22 UTC
Confirmed under Ubuntu 10.04 x86_64 using v3.3.0.4 OOO330m19 Build: 6 and v4.1.3.2 Build ID: 70feb7d99726f064edab4605a8ab840c50ec57a so it would appear to have always been this way. Status set to NEW. Component set to filters and storage. Version set to Inherited From OOo.

To be clear, the second level of unordered list items in the provided example have been created using the Demote One Level function on the Bullets and Numbering Toolbar, rather than the Increase Indent function on the Formatting toolbar. Summary edited for clarity.
Comment 2 Owen Genat (retired) 2013-12-14 12:27:22 UTC
Note that the issue of <orderedlist> being used instead of the <itemizedlist> element when saving an unordered list is covered by bug 59861. Added this bug to the Depends on list.
Comment 3 QA Administrators 2015-04-19 03:22:00 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-06-17 11:23:25 UTC
Repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 80ec99db4325a439a8a3f1d420d0a80f8bf9c439
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-16_00:00:20
Locale: fi-FI (fi_FI)
Comment 5 QA Administrators 2016-09-20 10:25:53 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:06:39 UTC
Dear mathieu.malaterre,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug